<template>
  <AddOrEditEnterpriseView
    emitAddEvent="enterprise:add"
    emitEditEvent="enterprise:edit"
    backRouteName="MyPublishInformationList"
    :isDetail="false"
  ></AddOrEditEnterpriseView>
</template>

<script lang="ts">
import { setPageTitle } from '@/utils';

export default defineComponent({
  name: 'AddOrEditEnterprise',
  beforeRouteEnter(to) {
    to.meta.title = to.params.id ? '编辑' : '新增';
    setPageTitle(to.meta.title as string);
  },
});
</script>

<script setup lang="ts">
import AddOrEditEnterpriseView from './components/AddOrEditEnterpriseView.vue';
</script>
